# Class Power#getPowerOnDelay

Power

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#getPowerOnDelay(successCallback, errorCallback) Gets PowerOnDelay

## Class Detail

Power#getPowerOnDelay(successCallback, errorCallback)
Gets PowerOnDelay

    // Javascript code
    function getPowerOnDelay () {
    		function successCb(cbObject) {
    			console.log("cbObject : " + JSON.stringify(cbObject));
    			// Do something
    		}
    		function failureCb(cbObject) {
    			var errorCode = cbObject.errorCode;
    			var errorText = cbObject.errorText;
    			console.log ("Error Code [" + errorCode + "]: " + errorText);
    			}
    		var power = new Power();
    		power.getPowerOnDelay(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  delayTime | Number | Delay Time (0 ~ 250)

See:
  Power.setPowerOnDelay()